defmodule Outlook.Artikel do
  @moduledoc """
  The Artikel context.
  """

  alias Outlook.Translations.Translation

  import Ecto.Query, warn: false
  alias Outlook.Repo

  def list_artikel do
    Repo.all(from t in Translation, where: t.public == true)
    |> Repo.preload([article: :author])
  end

  def get_artikel!(artikel) when is_struct(artikel), do: get_artikel!(artikel.id)
  def get_artikel!(id) do
   Repo.one(from t in Translation, where: t.id == ^id and t.public == true)
   |> Repo.preload([article: :author])
  end
end
